
COMMENT ON FUNCTION AddRasterColumn(varchar , varchar , integer , varchar[] , boolean , boolean , double precision[] , double precision , double precision , integer , integer , geometry ) IS 'args: table_name, column_name, srid, pixel_types, out_db, regular_blocking, no_data_values, pixelsize_x, pixelsize_y, blocksize_x, blocksize_y, envelope - Adds a raster column to an existing table and generates column constraint on the new column to enforce srid.';
			
COMMENT ON FUNCTION AddRasterColumn(varchar , varchar , varchar , integer , varchar[] , boolean , boolean , double precision[] , double precision , double precision , integer , integer , geometry ) IS 'args: schema_name, table_name, column_name, srid, pixel_types, out_db, regular_blocking, no_data_values, pixelsize_x, pixelsize_y, blocksize_x, blocksize_y, envelope - Adds a raster column to an existing table and generates column constraint on the new column to enforce srid.';
			
COMMENT ON FUNCTION AddRasterColumn(varchar , varchar , varchar , varchar , integer , varchar[] , boolean , boolean , double precision[] , double precision , double precision , integer , integer , geometry ) IS 'args: catalog_name, schema_name, table_name, column_name, srid, pixel_types, out_db, regular_blocking, no_data_values, pixelsize_x, pixelsize_y, blocksize_x, blocksize_y, envelope - Adds a raster column to an existing table and generates column constraint on the new column to enforce srid.';
			
COMMENT ON FUNCTION DropRasterColumn(varchar , varchar ) IS 'args: table_name, column_name - Removes a raster column from a table.';
			
COMMENT ON FUNCTION DropRasterColumn(varchar , varchar , varchar ) IS 'args: schema_name, table_name, column_name - Removes a raster column from a table.';
			
COMMENT ON FUNCTION DropRasterColumn(varchar , varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name, column_name - Removes a raster column from a table.';
			
COMMENT ON FUNCTION DropRasterTable(varchar ) IS 'args: table_name - Drops a table and all its references in raster_columns.';
			
COMMENT ON FUNCTION DropRasterTable(varchar , varchar ) IS 'args: schema_name, table_name - Drops a table and all its references in raster_columns.';
			
COMMENT ON FUNCTION DropRasterTable(varchar , varchar , varchar ) IS 'args: catalog_name, schema_name, table_name - Drops a table and all its references in raster_columns.';
			
COMMENT ON FUNCTION ST_MakeEmptyRaster(integer , integer , float8 , float8 , float8 , float8 , float8 , float8 , integer ) IS 'args: width, height, ipx, ipy, scalex, scaley, skewx, skewy, srid - Returns an empty raster of given dimensions, pixel x y, skew and spatial reference system with no bands';
			
COMMENT ON FUNCTION ST_BandNoDataValue(raster , integer ) IS 'args: rast, bandnum - Returns the value in a given band that represents no data.';
			
COMMENT ON FUNCTION ST_BandPixelType(raster , integer ) IS 'args: rast, bandnum - Returns the type of pixel for given band.';
			
COMMENT ON FUNCTION ST_Box2D(raster ) IS 'args: rast - Returns the box 2d representation of the enclosing box of the raster';
			
COMMENT ON FUNCTION ST_Envelope(raster ) IS 'args: rast - Returns the polygon representation of the extent of the raster.';
			
COMMENT ON FUNCTION ST_GeoReference(raster ) IS 'args: rast - Returns the georeference meta data in GDAL or ESRI format as commonly seen in a world file. Default is GDAL.';
			
COMMENT ON FUNCTION ST_GeoReference(raster , text ) IS 'args: rast, format - Returns the georeference meta data in GDAL or ESRI format as commonly seen in a world file. Default is GDAL.';
			
COMMENT ON FUNCTION ST_Height(raster ) IS 'args: rast - Returns the height of the raster in pixels?';
			
COMMENT ON FUNCTION ST_NumBands(raster ) IS 'args: rast - Returns the number of bands in the raster object.';
			
COMMENT ON FUNCTION ST_PixelSizeX(raster ) IS 'args: rast - Returns the x size of pixels in units of coordinate reference system?';
			
COMMENT ON FUNCTION ST_PixelSizeY(raster ) IS 'args: rast - Returns the y size of pixels in units of coordinate reference system?';
			
COMMENT ON FUNCTION ST_SRID(raster ) IS 'args: rast - Returns the spatial reference identifier of the raster as defined in spatial_ref_sys table.';
			
COMMENT ON FUNCTION ST_UpperLeftX(raster ) IS 'args: rast - Returns the upper left x coordinate of raster in projected spatial ref.';
			
COMMENT ON FUNCTION ST_UpperLeftY(raster ) IS 'args: rast - Returns the upper left y coordinate of raster in projected spatial ref.';
			
COMMENT ON FUNCTION ST_Value(raster , integer , integer , integer ) IS 'args: rast, bandnum, columnx, rowy - Returns the value of a given band in a given columnx, rowy pixel. Band numbers start at 1.';
			
COMMENT ON FUNCTION ST_Width(raster ) IS 'args: rast - Returns the width of the raster in pixels?';
			
COMMENT ON FUNCTION ST_SetBandNoDataValue(raster , integer , double precision ) IS 'args: rast, bandnum, val - Sets the value for the given band that represents no data.';
			
COMMENT ON FUNCTION ST_SetGeoReference(raster , text ) IS 'args: rast, georefcoords - Set Georefence 6 georeference parameters in a single call. Numbers should be separated by white space. Accepts inputs in GDAL or ESRI format. Default is GDAL.';
			
COMMENT ON FUNCTION ST_SetGeoReference(raster , text , text ) IS 'args: rast, georefcoords, format - Set Georefence 6 georeference parameters in a single call. Numbers should be separated by white space. Accepts inputs in GDAL or ESRI format. Default is GDAL.';
			
COMMENT ON FUNCTION ST_SetPixelSize(raster , float8 ) IS 'args: rast, xy - Sets the x and y size of pixels in units of coordinate reference system. Number units/pixel width/height';
			
COMMENT ON FUNCTION ST_SetPixelSize(raster , float8 , float8 ) IS 'args: rast, x, y - Sets the x and y size of pixels in units of coordinate reference system. Number units/pixel width/height';
			
COMMENT ON FUNCTION ST_SetSRID(raster , integer ) IS 'args: rast, srid - Sets the SRID of a raster to a particular integer srid defined in the spatial_ref_sys table.';
			
COMMENT ON FUNCTION ST_SetUpperLeft(raster , double precision , double precision ) IS 'args: rast, x, y - Sets the value of the upper left corner of the pixel to projected x,y coordinates';
			
COMMENT ON FUNCTION ST_AsBinary(raster ) IS 'args: rast - Return the Well-Known Binary (WKB) representation of the raster without SRID meta data.';
			
COMMENT ON FUNCTION ST_ConvexHull(raster ) IS 'args: rast - Return the convex hull geometry of the raster including pixel values equal to BandNoDataValue. For regular shaped and non-skewed rasters, this gives the same answer as ST_Envelope so only useful for irregularly shaped or skewed rasters.';
			
COMMENT ON FUNCTION ST_DumpAsPolygons(raster ) IS 'args: rast - Returns a set of geomval (geom,val) rows, from a given raster band. If no band number is specified, band num defaults to 1.';
			
COMMENT ON FUNCTION ST_DumpAsPolygons(raster , integer ) IS 'args: rast, band_num - Returns a set of geomval (geom,val) rows, from a given raster band. If no band number is specified, band num defaults to 1.';
			